#ifndef GRAY_SCALE_CPU_H
#define GRAY_SCALE_CPU_H

#include <cpu.h>

class Gray_Scale_cpu: public CPU
{
public:
    Gray_Scale_cpu();
    Gray_Scale_cpu(textureWidget* );
    GLubyte* raycastingCPU(Parametres* p);

private:
    vec4 calculIluminacioFTB(Capsa3D cub, Raig raig, int colorMode, Llum *llum);
    vec4 getColorActual(int mode, float v, int i, int j, int k, Llum *llum, vec4 colorMax);


};

#endif // GRAY_SCALE_CPU_H
